package net.northking.cctp.commands;

import net.northking.cctp.commands.win.TaskList;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

public class CommandExecute
{
  private static final Logger logger = LoggerFactory.getLogger(CommandExecute.class);

  public static void main(String[] args)
  {
    TaskList taskList = new TaskList();
    taskList.format(TaskList.Format.csv);
    taskList.filter(TaskList.Result.IMAGENAME + " eq java.exe");
    List<TaskList.Result> resultList = taskList.execute();
    for (TaskList.Result result : resultList)
    {
      logger.info(result.toString());
    }
  }
}
